<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: view.Tabs Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classview_1_1_tabs.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classview_1_1_tabs-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">view.Tabs Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for view.Tabs:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classview_1_1_tabs.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1176d2aaaf9b29db8282293267635173"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a1176d2aaaf9b29db8282293267635173">__init__</a> (self, parent, <a class="el" href="classview_1_1_tabs.html#a3a9c5b7a541180724719f284c1e844bc">app</a>, <a class="el" href="classview_1_1_tabs.html#ae710b912a3bf4846fe3b2634990837b2">database</a>)</td></tr>
<tr class="separator:a1176d2aaaf9b29db8282293267635173"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03d0b40b343ea76d7f43e99568856686"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a03d0b40b343ea76d7f43e99568856686">start</a> (self)</td></tr>
<tr class="separator:a03d0b40b343ea76d7f43e99568856686"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36a275295abe1b276787473e077eb547"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a36a275295abe1b276787473e077eb547">update_progress_bar</a> (self)</td></tr>
<tr class="separator:a36a275295abe1b276787473e077eb547"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a3a9c5b7a541180724719f284c1e844bc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a3a9c5b7a541180724719f284c1e844bc">app</a></td></tr>
<tr class="separator:a3a9c5b7a541180724719f284c1e844bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae710b912a3bf4846fe3b2634990837b2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#ae710b912a3bf4846fe3b2634990837b2">database</a></td></tr>
<tr class="separator:ae710b912a3bf4846fe3b2634990837b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a162e5eb74137238ecdb36a611a774c8e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a162e5eb74137238ecdb36a611a774c8e">layout</a></td></tr>
<tr class="separator:a162e5eb74137238ecdb36a611a774c8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4453fc33ecf04c192cbc5833d3eaed8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#af4453fc33ecf04c192cbc5833d3eaed8">tabs</a></td></tr>
<tr class="separator:af4453fc33ecf04c192cbc5833d3eaed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4543e73c9b5f52d3f6f42269d81b3a58"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a4543e73c9b5f52d3f6f42269d81b3a58">tab1</a></td></tr>
<tr class="separator:a4543e73c9b5f52d3f6f42269d81b3a58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a884d9e3d28f1c7658580d8db9f3debf7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a884d9e3d28f1c7658580d8db9f3debf7">tab2</a></td></tr>
<tr class="separator:a884d9e3d28f1c7658580d8db9f3debf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9245d0419ad7ad8016df3d16ddd12124"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a9245d0419ad7ad8016df3d16ddd12124">tab3</a></td></tr>
<tr class="separator:a9245d0419ad7ad8016df3d16ddd12124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2083e401ce79080115831bf4af21b7c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#aa2083e401ce79080115831bf4af21b7c">tab4</a></td></tr>
<tr class="separator:aa2083e401ce79080115831bf4af21b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47317b23d2dd1695b0fe6a14d01375d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a47317b23d2dd1695b0fe6a14d01375d7">landing_tab</a></td></tr>
<tr class="separator:a47317b23d2dd1695b0fe6a14d01375d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4b2a5b7154ebbe6dfe5a6f472dfa709"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#af4b2a5b7154ebbe6dfe5a6f472dfa709">tab5</a></td></tr>
<tr class="separator:af4b2a5b7154ebbe6dfe5a6f472dfa709"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfda79ce30fc1769a9711a491b13a0da"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#acfda79ce30fc1769a9711a491b13a0da">tab6</a></td></tr>
<tr class="separator:acfda79ce30fc1769a9711a491b13a0da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19235fe15c1fa99b2a32959ee4df9720"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a19235fe15c1fa99b2a32959ee4df9720">simulation</a></td></tr>
<tr class="separator:a19235fe15c1fa99b2a32959ee4df9720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9083f6cc0313169e5bd1c29dc548e29"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#ad9083f6cc0313169e5bd1c29dc548e29">parameters</a></td></tr>
<tr class="separator:ad9083f6cc0313169e5bd1c29dc548e29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea3c52e4dc1df4dddf1076ab569c3f76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#aea3c52e4dc1df4dddf1076ab569c3f76">thread_start_sim</a></td></tr>
<tr class="separator:aea3c52e4dc1df4dddf1076ab569c3f76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eb27d444acf7cb56df38e2cb19086ef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a0eb27d444acf7cb56df38e2cb19086ef">worker_start_sim</a></td></tr>
<tr class="separator:a0eb27d444acf7cb56df38e2cb19086ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dab48e7a54c98f858673da211625741"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a9dab48e7a54c98f858673da211625741">thread_prep_sim</a></td></tr>
<tr class="separator:a9dab48e7a54c98f858673da211625741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7a5348a4714a81f638228cf7a9ee3be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#aa7a5348a4714a81f638228cf7a9ee3be">worker_prep_sim</a></td></tr>
<tr class="separator:aa7a5348a4714a81f638228cf7a9ee3be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af84a38f0757a504df20a1ba662504230"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#af84a38f0757a504df20a1ba662504230">thread_full_sim</a></td></tr>
<tr class="separator:af84a38f0757a504df20a1ba662504230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a326b9c0b59b1ea79502bafc97396953f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a326b9c0b59b1ea79502bafc97396953f">worker_full_sim</a></td></tr>
<tr class="separator:a326b9c0b59b1ea79502bafc97396953f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb038b8947ee6164eca16d44289a7600"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#aeb038b8947ee6164eca16d44289a7600">status_sim</a></td></tr>
<tr class="separator:aeb038b8947ee6164eca16d44289a7600"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b508b3a26bbc9f6ff119c22ed4e506d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a5b508b3a26bbc9f6ff119c22ed4e506d">chose_sim</a></td></tr>
<tr class="separator:a5b508b3a26bbc9f6ff119c22ed4e506d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5454f3981e35af6dcdf6789644b44f8b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a5454f3981e35af6dcdf6789644b44f8b">start_button</a></td></tr>
<tr class="separator:a5454f3981e35af6dcdf6789644b44f8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8e143109137f830c8df4ad90a67afef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#aa8e143109137f830c8df4ad90a67afef">progress_bar_landing</a></td></tr>
<tr class="separator:aa8e143109137f830c8df4ad90a67afef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afed5ce694b7cf0f53d99a8d59cab5df0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#afed5ce694b7cf0f53d99a8d59cab5df0">progress_timer</a></td></tr>
<tr class="separator:afed5ce694b7cf0f53d99a8d59cab5df0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68aca982663037b180c58b781de40f67"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a68aca982663037b180c58b781de40f67">sim_mode</a></td></tr>
<tr class="separator:a68aca982663037b180c58b781de40f67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57465a2a254158bc63493424e200266"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#aa57465a2a254158bc63493424e200266">parameter_editor</a></td></tr>
<tr class="separator:aa57465a2a254158bc63493424e200266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab63f845f8c7535aec08f594d6006f280"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#ab63f845f8c7535aec08f594d6006f280">progress_bar_tab1</a></td></tr>
<tr class="separator:ab63f845f8c7535aec08f594d6006f280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f035c2255b9f422897201de91327e88"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a8f035c2255b9f422897201de91327e88">progress_bar_tab2</a></td></tr>
<tr class="separator:a8f035c2255b9f422897201de91327e88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0ae06031e0921259920b56744c41488"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#aa0ae06031e0921259920b56744c41488">progress_bar_tab3</a></td></tr>
<tr class="separator:aa0ae06031e0921259920b56744c41488"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a427b57a75207ee99125967c7492180"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a3a427b57a75207ee99125967c7492180">progress_bar_tab4</a></td></tr>
<tr class="separator:a3a427b57a75207ee99125967c7492180"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a277f1c9cdddde64f897c37e9d38ed8ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#a277f1c9cdddde64f897c37e9d38ed8ad">progress_bar_tab5</a></td></tr>
<tr class="separator:a277f1c9cdddde64f897c37e9d38ed8ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae383967b55dfcfbb1d26fe0880f220d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_tabs.html#ae383967b55dfcfbb1d26fe0880f220d3">progress_bar_tab6</a></td></tr>
<tr class="separator:ae383967b55dfcfbb1d26fe0880f220d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1176d2aaaf9b29db8282293267635173" name="a1176d2aaaf9b29db8282293267635173"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1176d2aaaf9b29db8282293267635173">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def view.Tabs.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>app</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>database</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Create the tabs for the main Window

:param app: Application
:param parent: class of main window
:param database: name of database to read data from
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a03d0b40b343ea76d7f43e99568856686" name="a03d0b40b343ea76d7f43e99568856686"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03d0b40b343ea76d7f43e99568856686">&#9670;&nbsp;</a></span>start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def view.Tabs.start </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Start Simulation in thread</pre> 
</div>
</div>
<a id="a36a275295abe1b276787473e077eb547" name="a36a275295abe1b276787473e077eb547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36a275295abe1b276787473e077eb547">&#9670;&nbsp;</a></span>update_progress_bar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def view.Tabs.update_progress_bar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Updates the progress bar of the simulation.

:param i: current percentage of the simulation
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3a9c5b7a541180724719f284c1e844bc" name="a3a9c5b7a541180724719f284c1e844bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a9c5b7a541180724719f284c1e844bc">&#9670;&nbsp;</a></span>app</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.app</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b508b3a26bbc9f6ff119c22ed4e506d" name="a5b508b3a26bbc9f6ff119c22ed4e506d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b508b3a26bbc9f6ff119c22ed4e506d">&#9670;&nbsp;</a></span>chose_sim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.chose_sim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae710b912a3bf4846fe3b2634990837b2" name="ae710b912a3bf4846fe3b2634990837b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae710b912a3bf4846fe3b2634990837b2">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.database</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a47317b23d2dd1695b0fe6a14d01375d7" name="a47317b23d2dd1695b0fe6a14d01375d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47317b23d2dd1695b0fe6a14d01375d7">&#9670;&nbsp;</a></span>landing_tab</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.landing_tab</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a162e5eb74137238ecdb36a611a774c8e" name="a162e5eb74137238ecdb36a611a774c8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a162e5eb74137238ecdb36a611a774c8e">&#9670;&nbsp;</a></span>layout</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.layout</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa57465a2a254158bc63493424e200266" name="aa57465a2a254158bc63493424e200266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa57465a2a254158bc63493424e200266">&#9670;&nbsp;</a></span>parameter_editor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.parameter_editor</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9083f6cc0313169e5bd1c29dc548e29" name="ad9083f6cc0313169e5bd1c29dc548e29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9083f6cc0313169e5bd1c29dc548e29">&#9670;&nbsp;</a></span>parameters</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.parameters</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa8e143109137f830c8df4ad90a67afef" name="aa8e143109137f830c8df4ad90a67afef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8e143109137f830c8df4ad90a67afef">&#9670;&nbsp;</a></span>progress_bar_landing</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.progress_bar_landing</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab63f845f8c7535aec08f594d6006f280" name="ab63f845f8c7535aec08f594d6006f280"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab63f845f8c7535aec08f594d6006f280">&#9670;&nbsp;</a></span>progress_bar_tab1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.progress_bar_tab1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f035c2255b9f422897201de91327e88" name="a8f035c2255b9f422897201de91327e88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f035c2255b9f422897201de91327e88">&#9670;&nbsp;</a></span>progress_bar_tab2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.progress_bar_tab2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa0ae06031e0921259920b56744c41488" name="aa0ae06031e0921259920b56744c41488"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0ae06031e0921259920b56744c41488">&#9670;&nbsp;</a></span>progress_bar_tab3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.progress_bar_tab3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a427b57a75207ee99125967c7492180" name="a3a427b57a75207ee99125967c7492180"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a427b57a75207ee99125967c7492180">&#9670;&nbsp;</a></span>progress_bar_tab4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.progress_bar_tab4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a277f1c9cdddde64f897c37e9d38ed8ad" name="a277f1c9cdddde64f897c37e9d38ed8ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a277f1c9cdddde64f897c37e9d38ed8ad">&#9670;&nbsp;</a></span>progress_bar_tab5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.progress_bar_tab5</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae383967b55dfcfbb1d26fe0880f220d3" name="ae383967b55dfcfbb1d26fe0880f220d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae383967b55dfcfbb1d26fe0880f220d3">&#9670;&nbsp;</a></span>progress_bar_tab6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.progress_bar_tab6</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afed5ce694b7cf0f53d99a8d59cab5df0" name="afed5ce694b7cf0f53d99a8d59cab5df0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afed5ce694b7cf0f53d99a8d59cab5df0">&#9670;&nbsp;</a></span>progress_timer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.progress_timer</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a68aca982663037b180c58b781de40f67" name="a68aca982663037b180c58b781de40f67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68aca982663037b180c58b781de40f67">&#9670;&nbsp;</a></span>sim_mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.sim_mode</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a19235fe15c1fa99b2a32959ee4df9720" name="a19235fe15c1fa99b2a32959ee4df9720"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19235fe15c1fa99b2a32959ee4df9720">&#9670;&nbsp;</a></span>simulation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.simulation</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5454f3981e35af6dcdf6789644b44f8b" name="a5454f3981e35af6dcdf6789644b44f8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5454f3981e35af6dcdf6789644b44f8b">&#9670;&nbsp;</a></span>start_button</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.start_button</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb038b8947ee6164eca16d44289a7600" name="aeb038b8947ee6164eca16d44289a7600"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb038b8947ee6164eca16d44289a7600">&#9670;&nbsp;</a></span>status_sim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.status_sim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4543e73c9b5f52d3f6f42269d81b3a58" name="a4543e73c9b5f52d3f6f42269d81b3a58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4543e73c9b5f52d3f6f42269d81b3a58">&#9670;&nbsp;</a></span>tab1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.tab1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a884d9e3d28f1c7658580d8db9f3debf7" name="a884d9e3d28f1c7658580d8db9f3debf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a884d9e3d28f1c7658580d8db9f3debf7">&#9670;&nbsp;</a></span>tab2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.tab2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9245d0419ad7ad8016df3d16ddd12124" name="a9245d0419ad7ad8016df3d16ddd12124"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9245d0419ad7ad8016df3d16ddd12124">&#9670;&nbsp;</a></span>tab3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.tab3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2083e401ce79080115831bf4af21b7c" name="aa2083e401ce79080115831bf4af21b7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2083e401ce79080115831bf4af21b7c">&#9670;&nbsp;</a></span>tab4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.tab4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af4b2a5b7154ebbe6dfe5a6f472dfa709" name="af4b2a5b7154ebbe6dfe5a6f472dfa709"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4b2a5b7154ebbe6dfe5a6f472dfa709">&#9670;&nbsp;</a></span>tab5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.tab5</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acfda79ce30fc1769a9711a491b13a0da" name="acfda79ce30fc1769a9711a491b13a0da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfda79ce30fc1769a9711a491b13a0da">&#9670;&nbsp;</a></span>tab6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.tab6</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af4453fc33ecf04c192cbc5833d3eaed8" name="af4453fc33ecf04c192cbc5833d3eaed8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4453fc33ecf04c192cbc5833d3eaed8">&#9670;&nbsp;</a></span>tabs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.tabs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af84a38f0757a504df20a1ba662504230" name="af84a38f0757a504df20a1ba662504230"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af84a38f0757a504df20a1ba662504230">&#9670;&nbsp;</a></span>thread_full_sim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.thread_full_sim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9dab48e7a54c98f858673da211625741" name="a9dab48e7a54c98f858673da211625741"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9dab48e7a54c98f858673da211625741">&#9670;&nbsp;</a></span>thread_prep_sim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.thread_prep_sim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aea3c52e4dc1df4dddf1076ab569c3f76" name="aea3c52e4dc1df4dddf1076ab569c3f76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea3c52e4dc1df4dddf1076ab569c3f76">&#9670;&nbsp;</a></span>thread_start_sim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.thread_start_sim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a326b9c0b59b1ea79502bafc97396953f" name="a326b9c0b59b1ea79502bafc97396953f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a326b9c0b59b1ea79502bafc97396953f">&#9670;&nbsp;</a></span>worker_full_sim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.worker_full_sim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa7a5348a4714a81f638228cf7a9ee3be" name="aa7a5348a4714a81f638228cf7a9ee3be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7a5348a4714a81f638228cf7a9ee3be">&#9670;&nbsp;</a></span>worker_prep_sim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.worker_prep_sim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0eb27d444acf7cb56df38e2cb19086ef" name="a0eb27d444acf7cb56df38e2cb19086ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0eb27d444acf7cb56df38e2cb19086ef">&#9670;&nbsp;</a></span>worker_start_sim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.Tabs.worker_start_sim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="view_8py.html">view.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceview.html">view</a></li><li class="navelem"><a class="el" href="classview_1_1_tabs.html">Tabs</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
